<?php require "../../common/top.php"; ?>

Vous avez accès à un espace <abbr title="SSH File Transfert Protocol">SFTP</abbr>. Vous pouvez téléverser vos sites dans <code>/&lt;nom du site&gt;/*</code>.

<a href="sftp://<?= $_SESSION['username'] ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/">sftp://<?= $_SESSION['username'] ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/</a>

Indiquez les données ci-dessous à votre client <abbr title="SSH File Transfert Protocol">SFTP</abbr> pour y accéder.

<dl>
	<dt>Utilisataire</dt>
	<dd>
		<code><?= $_SESSION['username'] ?></code>
	</dd>

	<dt>Clé de passe</dt>
	<dd>
		celle que vous avez définit lors de l'activation de l'accès <abbr title="SSH File Transfert Protocol">SFTP</abbr>
	</dd>

	<dt>Serveur</dt>
	<dd>
		<code><?= CONF['ht']['sftp_domain'] ?></code>
	</dd>

	<dt>Port</dt>
	<dd>
		<code><?= CONF['ht']['public_sftp_port'] ?></code><?php if (CONF['ht']['public_sftp_port'] === 22) echo " (par défaut)"; ?>
	</dd>

	<dt>Dossier</dt>
	<dd>
		<code>/</code>
	</dd>
</dl>

<dl>
	<dt><a class="htButton" href="http-onion">Accès HTTP en Onion</a></dt>
	<dd>
		Un site HTML, accessible par Tor, avec une adresse en .onion
	</dd>
	<dt><a class="htButton" href="https-domain">Accès HTTPS par DNS</a></dt>
	<dd>
		Un site HTML, accessible directement, par un nom de domaine
	</dd>
	<dt><a class="htButton" href="le">Let's Encrypt</a></dt>
	<dd>
		Installer un certificat Let's Encrypt sur un domaine
	</dd>
</dl>

<?php require "../../common/bottom.php"; ?>
