<?php require "../../common/top.php"; ?>

<form method="post">

	<?php require "../../form.ns.php"; ?>

	<br>
	<label for="flag">Flag</label>
	<br>
	<input id="flag" min="0" max="127" placeholder="0" name="flag" type="number">
	<br>
	<label for="tag">Tag</label>
	<br>
	<input id="tag" minlenght="1" maxlength="128" pattern="^[a-z]{1,128}$" placeholder="issue" name="tag" type="text">
	<br>
	<label for="value">Valeur</label>
	<br>
	<input id="value" minlenght="3" maxlength="1024" pattern="^[a-z0-9.-]{3,1024}$" placeholder="letsencrypt.org" name="value" type="text">
	<br>
	<input value="Valider" type="submit">
</form>

<?php

if (nsCommonRequirements()
		AND isset($_POST['flag'])
		AND isset($_POST['tag'])
		AND isset($_POST['value'])
	) {

	$values = nsParseCommonRequirements();

	if (!($_POST['flag'] >= 0 AND $_POST['flag'] <= 255))
		userError("Wrong value for <code>flag</code>.");

	if (!(preg_match("/^[a-z]{1,127}$/", $_POST['tag'])))
		userError("Wrong value for <code>tag</code>.");

	if (!(preg_match("/^[a-z0-9.-]{1,255}$/", $_POST['value'])))
		userError("Wrong value for <code>value</code>.");

	exec(CONF['ns']['knotc_path'] . " zone-begin " . $_POST['zone']);
	exec(CONF['ns']['knotc_path'] . " zone-" . $values['action'] . "set " . $_POST['zone'] . " " . $values['domain'] . " " . $values['ttl'] . " IN CAA " . $_POST['flag'] . " " . $_POST['tag'] . " " . $_POST['value']);
	exec(CONF['ns']['knotc_path'] . " zone-commit " . $_POST['zone']);
	echo "Enregistrement ajouté";
}



?>

<?php require "../../common/bottom.php"; ?>
