<?php require "../../common/top.php"; ?>

<p>
	Ici vous pouvez ajouter ou enlever des adresses IP dans une zone déjà enregistrée sur le serveur de noms de Niver
	<br>Le format IPv4 (<code>A</code>) ou IPv6 (<code>AAAA</code>) sera détecté automatiquement.
</p>

<form method="post">
	<?php require "../../form.ns.php"; ?>
	<label for="ip">Adresse IP</label><br>
	<input required="" pattern="^[a-f0-9:.]+$" id="ip" name="ip" minlength="7" maxlength="39" size="40" type="text" placeholder="<?= CONF['common']['ipv6_example'] ?> ou <?= CONF['common']['ipv4_example'] ?>"><br>
	<input value="Valider" type="submit">
</form>

<?php
if (nsCommonRequirements()
		AND isset($_POST['ip'])
	) {

	$values = nsParseCommonRequirements();

	$record = checkIpFormat($_POST['ip']);

	exec(CONF['ns']['knotc_path'] . " zone-begin " . $_POST['zone']);
	exec(CONF['ns']['knotc_path'] . " zone-" . $values['action'] . "set " . $_POST['zone'] . " " . $values['domain'] . " " . $values['ttl'] . " IN " . $record . " " . $_POST['ip']);
	exec(CONF['ns']['knotc_path'] . " zone-commit " . $_POST['zone']);

	echo "Enregistrement ajouté";
}

?>

<?php require "../../common/bottom.php"; ?>
